Pb de compatibilité commons-fileupload/JDK 1.4 [Résolu]

Signaler
Messages postés
2
Date d'inscription
jeudi 23 octobre 2003
Statut
Membre
Dernière intervention
17 avril 2007
-
Messages postés
2
Date d'inscription
jeudi 23 octobre 2003
Statut
Membre
Dernière intervention
17 avril 2007
-
Bonjour,

j'aimerais pouvoir utiliser la librairie commons-fileupload sous le JDK 1.4.0.02.
Or j'obtiens toujours le message d'erreur suivant, au moment de la compilation :

Information: Compilation completed with 1 errors and 0 warnings
Information: 1 error
Information: 0 warnings
C:\SOURCES\dam2\src\com\damaris\dam\DAMUpload.java
Error: Error: line (50)cannot access org.apache.commons.fileupload.FileUploadBase
bad class file: C:\SOURCES\dam2\lib\commons-fileupload-1.0.jar(org/apache/commons/fileupload/FileUploadBase.class)
class file has wrong version 49.0, should be 48.0
Please remove or make sure it appears in the correct subdirectory of the classpath.

J'ai vérifié la présence de cette librairie, elle est à sa place.
Quelqu'un peut-il m'aider?
Merci d'avance

Florie

2 réponses

Messages postés
764
Date d'inscription
mardi 25 mai 2004
Statut
Membre
Dernière intervention
8 mars 2011
8
Yopla,

T as pas tout betement une version trop récente de ton jar ?? (genre la 49.0 tournerai avec java 1.5 ??)

++ Toinou
Messages postés
2
Date d'inscription
jeudi 23 octobre 2003
Statut
Membre
Dernière intervention
17 avril 2007

merci beaucoup,
il s'agissait en effet d'une version dont la date ne pouvait correspondre à mon JRE

Florie